Bug 1635390 (kf5-kitinerary) - Review Request: kf5-kitinerary - A library containing itinerary data model and itinerary extraction code
Summary: Review Request: kf5-kitinerary - A library containing itinerary data model an...
Keywords:
Status: CLOSED ERRATA
Alias: kf5-kitinerary
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kf5-kpkpass
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2018-10-02 19:35 UTC by Rex Dieter
Modified: 2018-10-30 17:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:20:08 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2018-10-02 19:35:41 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-kitinerary.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-kitinerary-18.08.1-1.fc28.src.rpm
Description: A library containing itinerary data model and itinerary extraction code
Fedora Account System Username: rdieter

New kde-apps-18.08.x module, see https://community.kde.org/Applications/18.08_Release_Notes

Comment 1 Robert-André Mauchin 2018-10-03 14:10:54 UTC
 - Add gcc-c++ to the BR

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License (v2 or later)", "Unknown or
     generated". 197 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/kf5-kitinerary/review-
     kf5-kitinerary/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/KPim(akonadi-
     import-wizard-devel, kf5-kdav-devel, kf5-ksmtp-devel, libkgapi-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kf5
     -kitinerary-debuginfo , kf5-kitinerary-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kf5-kitinerary-18.08.1-1.fc30.x86_64.rpm
          kf5-kitinerary-devel-18.08.1-1.fc30.x86_64.rpm
          kf5-kitinerary-debuginfo-18.08.1-1.fc30.x86_64.rpm
          kf5-kitinerary-debugsource-18.08.1-1.fc30.x86_64.rpm
          kf5-kitinerary-18.08.1-1.fc30.src.rpm
kf5-kitinerary.x86_64: W: non-conffile-in-etc /etc/xdg/org_kde_kitinerary.categories
kf5-kitinerary-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Rex Dieter 2018-10-03 15:20:55 UTC
Thanks!  repo/branches requested

Comment 3 Jason Tibbitts 2018-10-03 16:48:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kf5-kitinerary

Comment 4 Fedora Update System 2018-10-06 16:53:24 UTC
akonadi-calendar-tools-18.08.1-1.fc29 akonadi-import-wizard-18.08.1-1.fc29 akonadiconsole-18.08.1-1.fc29 akregator-18.08.1-1.fc29 grantlee-editor-18.08.1-1.fc29 kaddressbook-18.08.1-1.fc29 kalarm-18.08.1-1.fc29 kdepim-addons-18.08.1-1.fc29 kdepim-apps-libs-18.08.1-1.fc29 kdepim-runtime-18.08.1-1.fc29 kf5-akonadi-calendar-18.08.1-1.fc29 kf5-akonadi-contacts-18.08.1-1.fc29 kf5-akonadi-mime-18.08.1-1.fc29 kf5-akonadi-notes-18.08.1-1.fc29 kf5-akonadi-search-18.08.1-1.fc29 kf5-akonadi-server-18.08.1-1.fc29 kf5-calendarsupport-18.08.1-1.fc29 kf5-eventviews-18.08.1-1.fc29 kf5-grantleetheme-18.08.1-1.fc29 kf5-incidenceeditor-18.08.1-1.fc29 kf5-kalarmcal-18.08.1-1.fc29 kf5-kblog-18.08.1-1.fc29 kf5-kcalendarcore-18.08.1-1.fc29 kf5-kcalendarutils-18.08.1-1.fc29 kf5-kcontacts-18.08.1-1.fc29 kf5-kdav-18.08.1-1.fc29 kf5-kidentitymanagement-18.08.1-1.fc29 kf5-kimap-18.08.1-1.fc29 kf5-kitinerary-18.08.1-1.fc29 kf5-kldap-18.08.1-1.fc29 kf5-kmailtransport-18.08.1-1.fc29 kf5-kmbox-18.08.1-1.fc29 kf5-kmime-18.08.1-1.fc29 kf5-kontactinterface-18.08.1-1.fc29 kf5-kpimtextedit-18.08.1-1.fc29 kf5-kpkpass-18.08.1-1.fc29 kf5-ksmtp-18.08.1-1.fc29 kf5-ktnef-18.08.1-1.fc29 kf5-libgravatar-18.08.1-1.fc29 kf5-libkdepim-18.08.1-1.fc29 kf5-libkleo-18.08.1-1.fc29 kf5-libksieve-18.08.1-1.fc29 kf5-mailcommon-18.08.1-1.fc29 kf5-mailimporter-18.08.1-1.fc29 kf5-messagelib-18.08.1-1.fc29 kf5-pimcommon-18.08.1-1.fc29 kf5-syndication-5.50.0-2.fc29 kleopatra-18.08.1-1.fc29 kmail-18.08.1-1.fc29 kmail-account-wizard-18.08.1-1.fc29 knotes-18.08.1-1.fc29 kontact-18.08.1-1.fc29 korganizer-18.08.1-1.fc29 libkgapi-18.08.1-1.fc29 mbox-importer-18.08.1-1.fc29 pim-data-exporter-18.08.1-1.fc29 pim-sieve-editor-18.08.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c15f3cff6

Comment 5 Fedora Update System 2018-10-30 17:20:08 UTC
akonadi-calendar-tools-18.08.1-1.fc29, akonadi-import-wizard-18.08.1-1.fc29, akonadiconsole-18.08.1-1.fc29, akregator-18.08.1-1.fc29, grantlee-editor-18.08.1-1.fc29, kaddressbook-18.08.1-1.fc29, kalarm-18.08.1-1.fc29, kdepim-addons-18.08.1-1.fc29, kdepim-apps-libs-18.08.1-1.fc29, kdepim-runtime-18.08.1-1.fc29, kf5-akonadi-calendar-18.08.1-1.fc29, kf5-akonadi-contacts-18.08.1-1.fc29, kf5-akonadi-mime-18.08.1-1.fc29, kf5-akonadi-notes-18.08.1-1.fc29, kf5-akonadi-search-18.08.1-1.fc29, kf5-akonadi-server-18.08.1-1.fc29, kf5-calendarsupport-18.08.1-1.fc29, kf5-eventviews-18.08.1-1.fc29, kf5-grantleetheme-18.08.1-1.fc29, kf5-incidenceeditor-18.08.1-1.fc29, kf5-kalarmcal-18.08.1-1.fc29, kf5-kblog-18.08.1-1.fc29, kf5-kcalendarcore-18.08.1-1.fc29, kf5-kcalendarutils-18.08.1-1.fc29, kf5-kcontacts-18.08.1-1.fc29, kf5-kdav-18.08.1-1.fc29, kf5-kidentitymanagement-18.08.1-1.fc29, kf5-kimap-18.08.1-1.fc29, kf5-kitinerary-18.08.1-1.fc29, kf5-kldap-18.08.1-1.fc29, kf5-kmailtransport-18.08.1-1.fc29, kf5-kmbox-18.08.1-1.fc29, kf5-kmime-18.08.1-1.fc29, kf5-kontactinterface-18.08.1-1.fc29, kf5-kpimtextedit-18.08.1-1.fc29, kf5-kpkpass-18.08.1-1.fc29, kf5-ksmtp-18.08.1-1.fc29, kf5-ktnef-18.08.1-1.fc29, kf5-libgravatar-18.08.1-1.fc29, kf5-libkdepim-18.08.1-1.fc29, kf5-libkleo-18.08.1-1.fc29, kf5-libksieve-18.08.1-1.fc29, kf5-mailcommon-18.08.1-1.fc29, kf5-mailimporter-18.08.1-1.fc29, kf5-messagelib-18.08.1-1.fc29, kf5-pimcommon-18.08.1-1.fc29, kf5-syndication-5.50.0-2.fc29, kleopatra-18.08.1-1.fc29, kmail-18.08.1-1.fc29, kmail-account-wizard-18.08.1-1.fc29, knotes-18.08.1-1.fc29, kontact-18.08.1-1.fc29, korganizer-18.08.1-1.fc29, libkgapi-18.08.1-1.fc29, mbox-importer-18.08.1-1.fc29, pim-data-exporter-18.08.1-1.fc29, pim-sieve-editor-18.08.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.